#include "sort.h"

#include <sort/merge.h>

namespace {

template<class Storage, class T> void runSorts(Pointer<Storage, T> input, Pointer<Storage, T> expected, Pointer<Storage, T> buffer, size_t size, const char *name, bool) {
	RUN(mergeStackThreaded);
}

}

int main() {
	doTests<Core, int>(TEST_SIZE / sizeof(int));
	return 0;
}
