#include "sort.h"

#include <sort/qsort.h>
#include <util/countitem.h>

namespace {

template<class Storage, class T> void runSorts(Pointer<Storage, T> input, Pointer<Storage, T> expected, Pointer<Storage, T> buffer, size_t size, const char *name, bool) {
	RUN(qsort);
}

}

int main() {
	doTests<Core, CountItem<int> >(TEST_SIZE / sizeof(int));
	printf("OTHER: Compare count: %zd\n", CountItem<int>::getCmpCount());
	printf("OTHER: Assign count: %zd\n", CountItem<int>::getAssignCount());
	return 0;
}
