#include "sort.h"

#include <sort/qsort.h>

namespace {

template<class Storage, class T> void runSorts(Pointer<Storage, T> input, Pointer<Storage, T> expected, Pointer<Storage, T> buffer, size_t size, const char *name, bool) {
	RUN(qsortThreaded);
}

}

int main() {
	doTests<Core, BigItem<200, double> >(TEST_SIZE / 200);
	return 0;
}
