#!/usr/bin/perl
use common::sense;
use Getopt::Long qw(:config auto_abbrev permute);

my $algorithm = 'qsort';
my $generator = 'random';
my $pointers = 'core';
my $type = 'i';
my $time = 0;
my $min = 0;

GetOptions(map(("$_=s" => eval "\\\$$_"), qw(algorithm generator pointers type min)), 'time=i' => \$time) or die "Could not parse opts\n";

my $current;
$\ = "\n";
$, = "\t";

while(<>) {
	if (defined $current and s/^STOP:\s+//) {
		my @times = split;
		print $current, $times[$time];
		undef $current;
	} elsif (/START:\s+$algorithm\/$generator\s+$pointers\s+$type\s+(\d+)/) {
		next if $1 < $min;
		$current = $1;
	}
}
