#include "sort.h"

#include <sort/funnel.h>

namespace {

template<class Storage, class T> void runSorts(Pointer<Storage, T> input, Pointer<Storage, T> expected, Pointer<Storage, T> buffer, size_t size, const char *name, bool) {
	RUN(funnelThreaded);
}

}

int main() {
	doTests<Core, char>(TEST_SIZE);
	return 0;
}
