#ifndef UTIL_STOPWATCH_H
#define UTIL_STOPWATCH_H

#include <cstdlib>
#include <ctime>

namespace Util {

class Stopwatch {
	public:
		Stopwatch(const char *algname, const char *testname, const char *storage, const char *type, size_t size);
		void start();
		void stop();
	private:
		const char *algname, *testname, *storage, *type;
		size_t size;
		clock_t time;
		unsigned long long rtime;
};

};

#endif
